/**
 * Copyright 2008 by jFramework.org.
 */
package org.jframework.core.util;

import java.util.Locale;

/**
 * A locale aware entity.
 *
 * @author mgridnev
 * @version 1.0, Jun 10, 2008
 */
public interface LocaleAware
{
    /**
     * Returns a locale associated with this entity.
     *
     * @return locale
     */
    Locale getLocale();

    /**
     * Sets locale associated with this entity
     *
     * @param locale locale
     */
    void setLocale(Locale locale);
}
